MDBootstrap is no longer compatible with Webpack and TypeScr


Topic: MDBootstrap is no longer compatible with Webpack and TypeScript

Allen777 pro asked 5 months ago

We are about to start a new project using Bootstrap, TypeScript, and compiled using Webpack 4. The incompatibility between MDBootstrap 4 and Webpack 4 has been going on for more than 6 months now since version 4.9 (see the links below). Many Users like us have been waiting for a solution patiently, but we cannot wait forever. We are currently stuck on version 4.7.6 while the current version is 4.19. Before we switch from MDBootstrap for good, please let us know if this problem will be resolved, and when will it be resolved? This is a Production issue for far too long. We paid for our Pro version, but if this will not be fixed, we are going to move away from MDB for good. Please at least have the courtesy to let us paying customers know what is the status. Thank you!

If you need to know what the problem is - if installed MDB using npm, we cannot compile MDB as part of Webpack build if we import MDB in TypeScript. The links below have all the details that I would rather not repeat here. There is no workaround for TypeScript.

Uncaught TypeError: Cannot assign to read only property

Issue with 4.9.0 + webpack + typescript


Grzegorz Bujański staff commented 5 months ago

Hi. As you probably saw in the posts you linked to, many people found a solution. Note that each project is different and requires a different webpack configuration. In one of the threads I even proposed a solution for you. Unfortunately you have rejected the possibility of using it. I am sorry but at the moment I have no other solution that I can offer you.


Allen777 pro commented 5 months ago

Unfortunately, if I am reading your workaround correctly, it requires us to use Babel, but we are using TypeScript now and don't need Babel to transpile. Also, instead of installing using npm, we need to unzip and copy the MDB folder, which isn't the recommended way.

The bottom line is this - all of this worked great until 4.9. Version 4.9 introduced an unintended BREAKING change which after 7 months, MDB has refused to fix a Production issue even for paying customers. This is very disappointing.


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don’t want to use Babel, but we don’t have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Grzegorz Bujański staff commented 5 months ago

As I mentioned, each project requires a different configuration. You don't want to use Babel, but we don't have the solution to add MDB without using Babel. Note that most solutions provided by other users include the babel configuration. I suggest you try the solution from this repo: https://github.com/SpellCraft/mdb-boilerplate


Please insert min. 20 characters.
Status

Open

Specification of the issue
  • User: Pro
  • Premium support: No
  • Technology: jQuery
  • MDB Version: 4.19.0
  • Device: PC
  • Browser: Chrome
  • OS: Windows 10
  • Provided sample code: No
  • Provided link: Yes